<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Style\Alignment</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic inherited">
        <a href="#method___clone" title="__clone ::Implement PHP __clone to create a deep clone, not just a shallow copy.">
            <span class="description">Implement PHP __clone to create a deep clone, not just a shallow copy.</span><pre>__clone</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method___construct" title="__construct ::Create a new Supervisor.">
            <span class="description">Create a new Supervisor.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_applyFromArray" title="applyFromArray ::Apply styles from array.">
            <span class="description">Apply styles from array.</span><pre>applyFromArray</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_bindParent" title="bindParent ::Bind parent. Only used for supervisor.">
            <span class="description">Bind parent. Only used for supervisor.</span><pre>bindParent</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getActiveCell" title="getActiveCell ::Get the currently active cell coordinate in currently active sheet.">
            <span class="description">Get the currently active cell coordinate in currently active sheet.</span><pre>getActiveCell</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getActiveSheet" title="getActiveSheet ::Get the currently active sheet. Only used for supervisor.">
            <span class="description">Get the currently active sheet. Only used for supervisor.</span><pre>getActiveSheet</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getHashCode" title="getHashCode ::Get hash code.">
            <span class="description">Get hash code.</span><pre>getHashCode</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getHorizontal" title="getHorizontal ::Get Horizontal.">
            <span class="description">Get Horizontal.</span><pre>getHorizontal</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getIndent" title="getIndent ::Get indent.">
            <span class="description">Get indent.</span><pre>getIndent</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getIsSupervisor" title="getIsSupervisor ::Is this a supervisor or a cell style component?">
            <span class="description">Is this a supervisor or a cell style component?</span><pre>getIsSupervisor</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getReadOrder" title="getReadOrder ::Get read order.">
            <span class="description">Get read order.</span><pre>getReadOrder</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getSelectedCells" title="getSelectedCells ::Get the currently active cell coordinate in currently active sheet.">
            <span class="description">Get the currently active cell coordinate in currently active sheet.</span><pre>getSelectedCells</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSharedComponent" title="getSharedComponent ::Get the shared style component for the currently active cell in currently active sheet.">
            <span class="description">Get the shared style component for the currently active cell in currently active sheet.</span><pre>getSharedComponent</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getShrinkToFit" title="getShrinkToFit ::Get Shrink to fit.">
            <span class="description">Get Shrink to fit.</span><pre>getShrinkToFit</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getStyleArray" title="getStyleArray ::Build style array from subcomponents.">
            <span class="description">Build style array from subcomponents.</span><pre>getStyleArray</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getTextRotation" title="getTextRotation ::Get TextRotation.">
            <span class="description">Get TextRotation.</span><pre>getTextRotation</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getVertical" title="getVertical ::Get Vertical.">
            <span class="description">Get Vertical.</span><pre>getVertical</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getWrapText" title="getWrapText ::Get Wrap Text.">
            <span class="description">Get Wrap Text.</span><pre>getWrapText</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setHorizontal" title="setHorizontal ::Set Horizontal.">
            <span class="description">Set Horizontal.</span><pre>setHorizontal</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setIndent" title="setIndent ::Set indent.">
            <span class="description">Set indent.</span><pre>setIndent</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setReadOrder" title="setReadOrder ::Set read order.">
            <span class="description">Set read order.</span><pre>setReadOrder</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setShrinkToFit" title="setShrinkToFit ::Set Shrink to fit.">
            <span class="description">Set Shrink to fit.</span><pre>setShrinkToFit</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setTextRotation" title="setTextRotation ::Set TextRotation.">
            <span class="description">Set TextRotation.</span><pre>setTextRotation</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setVertical" title="setVertical ::Set Vertical.">
            <span class="description">Set Vertical.</span><pre>setVertical</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setWrapText" title="setWrapText ::Set Wrap Text.">
            <span class="description">Set Wrap Text.</span><pre>setWrapText</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>                <li class="constant">
                    <a href="#constant_HORIZONTAL_CENTER" title="HORIZONTAL_CENTER ::">
                        <span class="description"></span><pre>HORIZONTAL_CENTER</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_HORIZONTAL_CENTER_CONTINUOUS" title="HORIZONTAL_CENTER_CONTINUOUS ::">
                        <span class="description"></span><pre>HORIZONTAL_CENTER_CONTINUOUS</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_HORIZONTAL_DISTRIBUTED" title="HORIZONTAL_DISTRIBUTED ::">
                        <span class="description"></span><pre>HORIZONTAL_DISTRIBUTED</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_HORIZONTAL_FILL" title="HORIZONTAL_FILL ::">
                        <span class="description"></span><pre>HORIZONTAL_FILL</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_HORIZONTAL_GENERAL" title="HORIZONTAL_GENERAL ::">
                        <span class="description"></span><pre>HORIZONTAL_GENERAL</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_HORIZONTAL_JUSTIFY" title="HORIZONTAL_JUSTIFY ::">
                        <span class="description"></span><pre>HORIZONTAL_JUSTIFY</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_HORIZONTAL_LEFT" title="HORIZONTAL_LEFT ::">
                        <span class="description"></span><pre>HORIZONTAL_LEFT</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_HORIZONTAL_RIGHT" title="HORIZONTAL_RIGHT ::">
                        <span class="description"></span><pre>HORIZONTAL_RIGHT</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_READORDER_CONTEXT" title="READORDER_CONTEXT ::">
                        <span class="description"></span><pre>READORDER_CONTEXT</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_READORDER_LTR" title="READORDER_LTR ::">
                        <span class="description"></span><pre>READORDER_LTR</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_READORDER_RTL" title="READORDER_RTL ::">
                        <span class="description"></span><pre>READORDER_RTL</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_VERTICAL_BOTTOM" title="VERTICAL_BOTTOM ::">
                        <span class="description"></span><pre>VERTICAL_BOTTOM</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_VERTICAL_CENTER" title="VERTICAL_CENTER ::">
                        <span class="description"></span><pre>VERTICAL_CENTER</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_VERTICAL_DISTRIBUTED" title="VERTICAL_DISTRIBUTED ::">
                        <span class="description"></span><pre>VERTICAL_DISTRIBUTED</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_VERTICAL_JUSTIFY" title="VERTICAL_JUSTIFY ::">
                        <span class="description"></span><pre>VERTICAL_JUSTIFY</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_VERTICAL_TOP" title="VERTICAL_TOP ::">
                        <span class="description"></span><pre>VERTICAL_TOP</pre>
                    </a>
                </li>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Alignment</h1>
                <small style="display: block; text-align: right">                        Extends<a href="../classes/PhpOffice.PhpSpreadsheet.Style.Supervisor.html">\PhpOffice\PhpSpreadsheet\Style\Supervisor</a>                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___clone"></a>
                        <div class="element clickable methodpublic method___clone inherited" data-toggle="collapse" data-target=".method___clone .collapse">
                            <h2>Implement PHP __clone to create a deep clone, not just a shallow copy.</h2>
                            <pre>__clone()</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct inherited" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Create a new Supervisor.</h2>
                            <pre>__construct(boolean $isSupervisor = false)</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$isSupervisor</h4>
                                                <code>boolean</code><p><p>Flag indicating if this is a supervisor or not
Leave this value at default unless you understand exactly what
its ramifications are</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_applyFromArray"></a>
                        <div class="element clickable methodpublic method_applyFromArray" data-toggle="collapse" data-target=".method_applyFromArray .collapse">
                            <h2>Apply styles from array.</h2>
                            <pre>applyFromArray(array $pStyles): \PhpOffice\PhpSpreadsheet\Style\Alignment</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p><code>
$spreadsheet-&gt;getActiveSheet()-&gt;getStyle('B2')-&gt;getAlignment()-&gt;applyFromArray(
[
'horizontal'   =&gt; \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
'vertical'     =&gt; \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER,
'textRotation' =&gt; 0,
'wrapText'     =&gt; TRUE
]
);
</code></p></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pStyles</h4>
                                                <code>array</code><p><p>Array containing style information</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Alignment.html">\PhpOffice\PhpSpreadsheet\Style\Alignment</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_bindParent"></a>
                        <div class="element clickable methodpublic method_bindParent inherited" data-toggle="collapse" data-target=".method_bindParent .collapse">
                            <h2>Bind parent. Only used for supervisor.</h2>
                            <pre>bindParent(\PhpOffice\PhpSpreadsheet\Spreadsheet|\PhpOffice\PhpSpreadsheet\Style\Style $parent,null|string $parentPropertyName = null): \PhpOffice\PhpSpreadsheet\Style\Supervisor</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$parent</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a>|\PhpOffice\PhpSpreadsheet\Style\Style</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$parentPropertyName</h4>
                                                <code>null|string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Supervisor.html">\PhpOffice\PhpSpreadsheet\Style\Supervisor</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getActiveCell"></a>
                        <div class="element clickable methodpublic method_getActiveCell inherited" data-toggle="collapse" data-target=".method_getActiveCell .collapse">
                            <h2>Get the currently active cell coordinate in currently active sheet.</h2>
                            <pre>getActiveCell(): string</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Only used for supervisor.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p><p>E.g. 'A1'</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getActiveSheet"></a>
                        <div class="element clickable methodpublic method_getActiveSheet inherited" data-toggle="collapse" data-target=".method_getActiveSheet .collapse">
                            <h2>Get the currently active sheet. Only used for supervisor.</h2>
                            <pre>getActiveSheet(): \PhpOffice\PhpSpreadsheet\Worksheet\Worksheet</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getHashCode"></a>
                        <div class="element clickable methodpublic method_getHashCode" data-toggle="collapse" data-target=".method_getHashCode .collapse">
                            <h2>Get hash code.</h2>
                            <pre>getHashCode(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p><p>Hash code</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getHorizontal"></a>
                        <div class="element clickable methodpublic method_getHorizontal" data-toggle="collapse" data-target=".method_getHorizontal .collapse">
                            <h2>Get Horizontal.</h2>
                            <pre>getHorizontal(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getIndent"></a>
                        <div class="element clickable methodpublic method_getIndent" data-toggle="collapse" data-target=".method_getIndent .collapse">
                            <h2>Get indent.</h2>
                            <pre>getIndent(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getIsSupervisor"></a>
                        <div class="element clickable methodpublic method_getIsSupervisor inherited" data-toggle="collapse" data-target=".method_getIsSupervisor .collapse">
                            <h2>Is this a supervisor or a cell style component?</h2>
                            <pre>getIsSupervisor(): boolean</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getReadOrder"></a>
                        <div class="element clickable methodpublic method_getReadOrder" data-toggle="collapse" data-target=".method_getReadOrder .collapse">
                            <h2>Get read order.</h2>
                            <pre>getReadOrder(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSelectedCells"></a>
                        <div class="element clickable methodpublic method_getSelectedCells inherited" data-toggle="collapse" data-target=".method_getSelectedCells .collapse">
                            <h2>Get the currently active cell coordinate in currently active sheet.</h2>
                            <pre>getSelectedCells(): string</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Only used for supervisor.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p><p>E.g. 'A1'</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSharedComponent"></a>
                        <div class="element clickable methodpublic method_getSharedComponent" data-toggle="collapse" data-target=".method_getSharedComponent .collapse">
                            <h2>Get the shared style component for the currently active cell in currently active sheet.</h2>
                            <pre>getSharedComponent(): \PhpOffice\PhpSpreadsheet\Style\Alignment</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Only used for style supervisor.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Alignment.html">\PhpOffice\PhpSpreadsheet\Style\Alignment</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getShrinkToFit"></a>
                        <div class="element clickable methodpublic method_getShrinkToFit" data-toggle="collapse" data-target=".method_getShrinkToFit .collapse">
                            <h2>Get Shrink to fit.</h2>
                            <pre>getShrinkToFit(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getStyleArray"></a>
                        <div class="element clickable methodpublic method_getStyleArray" data-toggle="collapse" data-target=".method_getStyleArray .collapse">
                            <h2>Build style array from subcomponents.</h2>
                            <pre>getStyleArray(array $array): array</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$array</h4>
                                                <code>array</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>array</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getTextRotation"></a>
                        <div class="element clickable methodpublic method_getTextRotation" data-toggle="collapse" data-target=".method_getTextRotation .collapse">
                            <h2>Get TextRotation.</h2>
                            <pre>getTextRotation(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getVertical"></a>
                        <div class="element clickable methodpublic method_getVertical" data-toggle="collapse" data-target=".method_getVertical .collapse">
                            <h2>Get Vertical.</h2>
                            <pre>getVertical(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getWrapText"></a>
                        <div class="element clickable methodpublic method_getWrapText" data-toggle="collapse" data-target=".method_getWrapText .collapse">
                            <h2>Get Wrap Text.</h2>
                            <pre>getWrapText(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setHorizontal"></a>
                        <div class="element clickable methodpublic method_setHorizontal" data-toggle="collapse" data-target=".method_setHorizontal .collapse">
                            <h2>Set Horizontal.</h2>
                            <pre>setHorizontal(string $pValue): \PhpOffice\PhpSpreadsheet\Style\Alignment</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p><p>see self::HORIZONTAL_*</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Alignment.html">\PhpOffice\PhpSpreadsheet\Style\Alignment</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setIndent"></a>
                        <div class="element clickable methodpublic method_setIndent" data-toggle="collapse" data-target=".method_setIndent .collapse">
                            <h2>Set indent.</h2>
                            <pre>setIndent(integer $pValue): \PhpOffice\PhpSpreadsheet\Style\Alignment</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>integer</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Alignment.html">\PhpOffice\PhpSpreadsheet\Style\Alignment</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setReadOrder"></a>
                        <div class="element clickable methodpublic method_setReadOrder" data-toggle="collapse" data-target=".method_setReadOrder .collapse">
                            <h2>Set read order.</h2>
                            <pre>setReadOrder(integer $pValue): \PhpOffice\PhpSpreadsheet\Style\Alignment</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>integer</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Alignment.html">\PhpOffice\PhpSpreadsheet\Style\Alignment</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setShrinkToFit"></a>
                        <div class="element clickable methodpublic method_setShrinkToFit" data-toggle="collapse" data-target=".method_setShrinkToFit .collapse">
                            <h2>Set Shrink to fit.</h2>
                            <pre>setShrinkToFit(boolean $pValue): \PhpOffice\PhpSpreadsheet\Style\Alignment</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Alignment.html">\PhpOffice\PhpSpreadsheet\Style\Alignment</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setTextRotation"></a>
                        <div class="element clickable methodpublic method_setTextRotation" data-toggle="collapse" data-target=".method_setTextRotation .collapse">
                            <h2>Set TextRotation.</h2>
                            <pre>setTextRotation(integer $pValue): \PhpOffice\PhpSpreadsheet\Style\Alignment</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>integer</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Alignment.html">\PhpOffice\PhpSpreadsheet\Style\Alignment</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setVertical"></a>
                        <div class="element clickable methodpublic method_setVertical" data-toggle="collapse" data-target=".method_setVertical .collapse">
                            <h2>Set Vertical.</h2>
                            <pre>setVertical(string $pValue): \PhpOffice\PhpSpreadsheet\Style\Alignment</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p><p>see self::VERTICAL_*</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Alignment.html">\PhpOffice\PhpSpreadsheet\Style\Alignment</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setWrapText"></a>
                        <div class="element clickable methodpublic method_setWrapText" data-toggle="collapse" data-target=".method_setWrapText .collapse">
                            <h2>Set Wrap Text.</h2>
                            <pre>setWrapText(boolean $pValue): \PhpOffice\PhpSpreadsheet\Style\Alignment</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Alignment.html">\PhpOffice\PhpSpreadsheet\Style\Alignment</a></code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-constant"></i> Constants</h3>                            <a id="constant_HORIZONTAL_GENERAL"> </a>
                            <div class="element clickable constant constant_HORIZONTAL_GENERAL" data-toggle="collapse" data-target=".constant_HORIZONTAL_GENERAL .collapse">
                                <h2>HORIZONTAL_GENERAL</h2>
                                <pre>HORIZONTAL_GENERAL</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_HORIZONTAL_LEFT"> </a>
                            <div class="element clickable constant constant_HORIZONTAL_LEFT" data-toggle="collapse" data-target=".constant_HORIZONTAL_LEFT .collapse">
                                <h2>HORIZONTAL_LEFT</h2>
                                <pre>HORIZONTAL_LEFT</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_HORIZONTAL_RIGHT"> </a>
                            <div class="element clickable constant constant_HORIZONTAL_RIGHT" data-toggle="collapse" data-target=".constant_HORIZONTAL_RIGHT .collapse">
                                <h2>HORIZONTAL_RIGHT</h2>
                                <pre>HORIZONTAL_RIGHT</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_HORIZONTAL_CENTER"> </a>
                            <div class="element clickable constant constant_HORIZONTAL_CENTER" data-toggle="collapse" data-target=".constant_HORIZONTAL_CENTER .collapse">
                                <h2>HORIZONTAL_CENTER</h2>
                                <pre>HORIZONTAL_CENTER</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_HORIZONTAL_CENTER_CONTINUOUS"> </a>
                            <div class="element clickable constant constant_HORIZONTAL_CENTER_CONTINUOUS" data-toggle="collapse" data-target=".constant_HORIZONTAL_CENTER_CONTINUOUS .collapse">
                                <h2>HORIZONTAL_CENTER_CONTINUOUS</h2>
                                <pre>HORIZONTAL_CENTER_CONTINUOUS</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_HORIZONTAL_JUSTIFY"> </a>
                            <div class="element clickable constant constant_HORIZONTAL_JUSTIFY" data-toggle="collapse" data-target=".constant_HORIZONTAL_JUSTIFY .collapse">
                                <h2>HORIZONTAL_JUSTIFY</h2>
                                <pre>HORIZONTAL_JUSTIFY</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_HORIZONTAL_FILL"> </a>
                            <div class="element clickable constant constant_HORIZONTAL_FILL" data-toggle="collapse" data-target=".constant_HORIZONTAL_FILL .collapse">
                                <h2>HORIZONTAL_FILL</h2>
                                <pre>HORIZONTAL_FILL</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_HORIZONTAL_DISTRIBUTED"> </a>
                            <div class="element clickable constant constant_HORIZONTAL_DISTRIBUTED" data-toggle="collapse" data-target=".constant_HORIZONTAL_DISTRIBUTED .collapse">
                                <h2>HORIZONTAL_DISTRIBUTED</h2>
                                <pre>HORIZONTAL_DISTRIBUTED</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_VERTICAL_BOTTOM"> </a>
                            <div class="element clickable constant constant_VERTICAL_BOTTOM" data-toggle="collapse" data-target=".constant_VERTICAL_BOTTOM .collapse">
                                <h2>VERTICAL_BOTTOM</h2>
                                <pre>VERTICAL_BOTTOM</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_VERTICAL_TOP"> </a>
                            <div class="element clickable constant constant_VERTICAL_TOP" data-toggle="collapse" data-target=".constant_VERTICAL_TOP .collapse">
                                <h2>VERTICAL_TOP</h2>
                                <pre>VERTICAL_TOP</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_VERTICAL_CENTER"> </a>
                            <div class="element clickable constant constant_VERTICAL_CENTER" data-toggle="collapse" data-target=".constant_VERTICAL_CENTER .collapse">
                                <h2>VERTICAL_CENTER</h2>
                                <pre>VERTICAL_CENTER</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_VERTICAL_JUSTIFY"> </a>
                            <div class="element clickable constant constant_VERTICAL_JUSTIFY" data-toggle="collapse" data-target=".constant_VERTICAL_JUSTIFY .collapse">
                                <h2>VERTICAL_JUSTIFY</h2>
                                <pre>VERTICAL_JUSTIFY</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_VERTICAL_DISTRIBUTED"> </a>
                            <div class="element clickable constant constant_VERTICAL_DISTRIBUTED" data-toggle="collapse" data-target=".constant_VERTICAL_DISTRIBUTED .collapse">
                                <h2>VERTICAL_DISTRIBUTED</h2>
                                <pre>VERTICAL_DISTRIBUTED</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_READORDER_CONTEXT"> </a>
                            <div class="element clickable constant constant_READORDER_CONTEXT" data-toggle="collapse" data-target=".constant_READORDER_CONTEXT .collapse">
                                <h2>READORDER_CONTEXT</h2>
                                <pre>READORDER_CONTEXT</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_READORDER_LTR"> </a>
                            <div class="element clickable constant constant_READORDER_LTR" data-toggle="collapse" data-target=".constant_READORDER_LTR .collapse">
                                <h2>READORDER_LTR</h2>
                                <pre>READORDER_LTR</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_READORDER_RTL"> </a>
                            <div class="element clickable constant constant_READORDER_RTL" data-toggle="collapse" data-target=".constant_READORDER_RTL .collapse">
                                <h2>READORDER_RTL</h2>
                                <pre>READORDER_RTL</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_horizontal"> </a>
                            <div class="element clickable propertyprotected property_horizontal" data-toggle="collapse" data-target=".property_horizontal .collapse">
                                <h2>Horizontal alignment.</h2>
                                <pre>horizontal :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_vertical"> </a>
                            <div class="element clickable propertyprotected property_vertical" data-toggle="collapse" data-target=".property_vertical .collapse">
                                <h2>Vertical alignment.</h2>
                                <pre>vertical :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_textRotation"> </a>
                            <div class="element clickable propertyprotected property_textRotation" data-toggle="collapse" data-target=".property_textRotation .collapse">
                                <h2>Text rotation.</h2>
                                <pre>textRotation :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_wrapText"> </a>
                            <div class="element clickable propertyprotected property_wrapText" data-toggle="collapse" data-target=".property_wrapText .collapse">
                                <h2>Wrap text.</h2>
                                <pre>wrapText :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_shrinkToFit"> </a>
                            <div class="element clickable propertyprotected property_shrinkToFit" data-toggle="collapse" data-target=".property_shrinkToFit .collapse">
                                <h2>Shrink to fit.</h2>
                                <pre>shrinkToFit :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_indent"> </a>
                            <div class="element clickable propertyprotected property_indent" data-toggle="collapse" data-target=".property_indent .collapse">
                                <h2>Indent - only possible with horizontal alignment left and right.</h2>
                                <pre>indent :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_readOrder"> </a>
                            <div class="element clickable propertyprotected property_readOrder" data-toggle="collapse" data-target=".property_readOrder .collapse">
                                <h2>Read order.</h2>
                                <pre>readOrder :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_isSupervisor"> </a>
                            <div class="element clickable propertyprotected property_isSupervisor inherited" data-toggle="collapse" data-target=".property_isSupervisor .collapse">
                                <h2>Supervisor?</h2>
                                <pre>isSupervisor :boolean</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_parent"> </a>
                            <div class="element clickable propertyprotected property_parent inherited" data-toggle="collapse" data-target=".property_parent .collapse">
                                <h2>Parent. Only used for supervisor.</h2>
                                <pre>parent :\PhpOffice\PhpSpreadsheet\Spreadsheet|\PhpOffice\PhpSpreadsheet\Style\Style</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a>|\PhpOffice\PhpSpreadsheet\Style\Style</code>                                    </div>
                                </div>
                            </div>                            <a id="property_parentPropertyName"> </a>
                            <div class="element clickable propertyprotected property_parentPropertyName inherited" data-toggle="collapse" data-target=".property_parentPropertyName .collapse">
                                <h2>Parent property name.</h2>
                                <pre>parentPropertyName :null|string</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>null|string</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Style\Alignment"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Style.html">Style</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Alignment.html">Alignment</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:53 +0000.<br/>
    </footer></body>
</html>
